Summary:        Pseudo-quota disk usage monitor.
Name:           disknag
Version:        0.3
Release:        2.norlug
Group:          Applications/System
License:        GPL
Source:         http://linux.duke.edu/projects/mini/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       python2 >= 2.2.2
BuildArch:      noarch
URL:            http://linux.duke.edu/projects/mini/disknag
Patch:          python2.patch

%description
This little application monitors disk usage and nags the users if they are
over "quota."

%prep
%setup -q
%patch -p0

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} -m 755                         \
    %{buildroot}%{_sysconfdir}/%{name}      \
    %{buildroot}%{_bindir}                  \
    %{buildroot}%{_mandir}/man8             \
    %{buildroot}%{_sysconfdir}/cron.daily   \
    %{buildroot}%{_localstatedir}/lib/%{name}

%{__install} -m 644 conf/*.*        %{buildroot}%{_sysconfdir}/%{name}/
%{__install} -m 755 %{name}.py      %{buildroot}%{_bindir}/%{name}
%{__install} -m 755 %{name}.cron    %{buildroot}%{_sysconfdir}/cron.daily/
%{__install} -m 644 %{name}.8       %{buildroot}%{_mandir}/man8/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog
%config %dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_bindir}/%{name}
%{_sysconfdir}/cron.daily/%{name}.cron
%{_localstatedir}/lib/%{name}
%{_mandir}/man?/*

%changelog
* Mon Dec 26 2005 Chip Cuccio <chipster@norlug.org> 0.3-2
- update to 0.3

* Sun Feb 27 2005 Chip Cuccio <chipster@norlug.org> 0.2-1
- initial build for RH-7.3

* Mon Nov 08 2004 Konstantin Ryabitsev <icon@duke.edu> 0.2-1
- Version 0.2

* Fri Nov 05 2004 Konstantin Ryabitsev <icon@duke.edu> 0.1-1
- Rename into disknag.

* Mon Jul 19 2004 Konstantin Ryabitsev <icon@linux.duke.edu> 0.1-1
- Initial build.
